# RAGSkeleton

![RAGSkeleton Logo](./_static/RAGSkeleton-logo.png)

**RAGSkeleton** is a modular, foundational framework designed to streamline the creation of Retrieval-Augmented Generation (RAG) systems. By combining retrieval mechanisms with language model generation, RAGSkeleton enables developers and researchers to build adaptable, context-aware solutions across diverse domains. This framework offers a flexible structure to retrieve relevant information from document databases, generate precise responses to user queries, and easily incorporate domain-specific models and retrieval methods. RAGSkeleton serves as an intuitive foundation for applications in natural language understanding, question-answering, and document-centric AI tasks.

## Key Features

- **Modular Structure:** Allows for easy customization and integration with various models.
- **Domain Flexibility:** Supports diverse applications, from scientific literature to customer support.
- **Compatibility:** Works with both local and cloud-hosted language models.
- **Scalability:** Built to support scalable document processing and information retrieval.


## Contents

```{toctree}
:maxdepth: 2

Overview <readme>
Contributions & Help <contributing>
License <license>
Authors <authors>
Changelog <changelog>
Module Reference <api/modules>
```

## Indices and tables

* {ref}`genindex`
* {ref}`modindex`
* {ref}`search`

[Sphinx]: http://www.sphinx-doc.org/
[Markdown]: https://daringfireball.net/projects/markdown/
[reStructuredText]: http://www.sphinx-doc.org/en/master/usage/restructuredtext/basics.html
[MyST]: https://myst-parser.readthedocs.io/en/latest/
